#!/bin/bash
##########################################
# File Name:07_rm.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:替代rm的回收站脚本
###########################################

#1. 创建临时目录
tmp_dir=$(mktemp -d -p /tmp rm_sh_XXXXX)
input_dir="$1"  # 直接使用 $1 更简洁

#2. 校验输入非空
if [ -z "$input_dir" ]; then
    echo "错误：未提供目录参数！"
    exit 1
fi

#3. 解析绝对路径（使用 readlink -f 增强兼容性）
jueduipath=$(readlink -f "$input_dir" 2>/dev/null)
if [ $? -ne 0 ] || [ -z "$jueduipath" ]; then
    echo "failed: $input_dir is not exist"
    exit 1
fi

#4. 检查是否为根目录
if [ "$jueduipath" = "/" ]; then
    echo "this is /, stop your rm !"
    exit 1
fi

#5. 移动目标到临时目录
mv -- "$jueduipath" "$tmp_dir"
if [ $? -eq 0 ]; then
    echo "success save to $tmp_dir"
else
    echo "failed"
fi
